Discussion in 'iOS 5 and earlier' started by codager, Oct 13, 2011.

  1. codager macrumors newbie

    Oct 13, 2011
    I got excited about ios5 and upgraded my iphone. I was using gevey sim with 4.3.3 before it. Now I can't move past the screen which says Invalid screen.

    Is there anyway I can downgrade? or unlock staying on ios5?
  2. sawah macrumors 6502a


    Sep 13, 2010
    If you jailbroke and preserved your baseband there is a tutorial floating around to make the gevey work again. Never jump on an update until you know :D
  3. codager thread starter macrumors newbie

    Oct 13, 2011
    Not jailbroken

    Nope, my phone was not jailbroken. Is it a paper-weight now :( ?
  4. TheSlimOne macrumors regular

    Jun 19, 2010
    Pretty much. Apple might still be signing the last iOS 4 release. They normally do for a day or two.
  5. ashman70 macrumors 6502a

    Dec 20, 2010
    In order to use the Gevy sim your iPhone has to be jailbroken, otherwise the Gevy is useless. Did you use tiny umbrella and save your SHSH blobs? If so, it might be possible for you to go back to a 4.xx firmware and still use your Gevy.
  6. APtalent macrumors regular

    Jun 5, 2010
    Incorrect. Only the Gevey Ultra requires a jailbreak for FuriousMod. The older Gevey sims only require you to dial 112.

Share This Page